Categories
PHP

PHP 7.0-RC6 for Jessie

On October 29th 2015, the PHP group published the sixth release candidate of the upcoming new major branch, PHP 7 :

PHP 7.0.0 RC 6 contains fixes for 10 reported bugs and marks the end of the pre-release circle.

Packages of PHP 7.0-RC6 are now available for Debian 8 “Jessie” on amd64 and i386 architectures.

Disclaimer : THIS IS A DEVELOPMENT PREVIEW (from a PHP upstream and from a Dotdeb/Debian packaging perspectives) – DO NOT USE IT IN PRODUCTION!

  • Don’t upgrade any staging/production/critical environments yet, and use these RC packages at your own risk!
  • Make sure that you understand the PHP/Debian/Dotdeb changes and that you don’t need any of the missing features/packages
  • Your feedbacks are always welcome. Just make sure they are useful.

These packages have been published on the main repository for Jessie. So to test PHP 7.0-RC6 , just follow the instructions.

And as usual, feel free to show your support

6 replies on “PHP 7.0-RC6 for Jessie”

I can’t install the php7.0 apache2 mod

apt-get install libapache2-mod-php

libapache2-mod-php : Depends on: libapache2-mod-php7.0 should not be installed.

apt is telling me that libapache2-mod-php7.0 collides with libapache2-mod-php5filter and 5.6.14+dfsg-0+deb8u1 should be installed

I’m kind of lost 🙂

Just a little bit curious, why is the service named “php7.0-fpm” when in process manager (top) it shows itself as php-fpm7.0? I guess the latter should be fixed isn’t it?

Comments are closed.